########## R-function: matrixSqrt ##########

# Computes the positive square-root of a square
# positive definite matrix.

# Last changed: 18 FEB 2018

matrixSqrt <- function(A)
{
   sva <- svd(A)
   if (min(sva$d)>=0)
      Asqrt <- tcrossprod(sva$u,t(sqrt(sva$d)*t(sva$v)))
   else
      stop("Matrix square root is not defined")
   return(Asqrt)
}

######### End of R-function matrixSqrt ########
